# eric7.WebBrowser.FeaturePermissions.FeaturePermissionBar

Module implementing the feature permission bar widget.

### Global Attributes

None

### Classes

FeaturePermissionBar | Class implementing the feature permission bar widget.

### Functions

None

## FeaturePermissionBar

Class implementing the feature permission bar widget.

### Derived from

EricAnimatedWidget

### Class Attributes

DefaultHeight

### Class Methods

None

### Methods

FeaturePermissionBar | Constructor
__permissionDenied | Private slot handling the user pressing the deny button.
__permissionGranted | Private slot handling the user pressing the allow button.
__permissionUnknown | Private slot handling the user closing the dialog without.
hide | Public slot to hide the animated widget.

### Static Methods

None

#### FeaturePermissionBar (Constructor)

FeaturePermissionBar(page, origin, feature, manager)

Constructor

page (QWebView)
  reference to the web page
origin (QUrl)
  security origin requesting the feature
feature (QWebPage.Feature)
  requested feature
manager (FeaturePermissionManager)
  reference to the feature permissions manager

#### FeaturePermissionBar.__permissionDenied

__permissionDenied()

Private slot handling the user pressing the deny button.

#### FeaturePermissionBar.__permissionGranted

__permissionGranted()

Private slot handling the user pressing the allow button.

#### FeaturePermissionBar.__permissionUnknown

__permissionUnknown()

Private slot handling the user closing the dialog without.

#### FeaturePermissionBar.hide

hide()

Public slot to hide the animated widget.

Up